complexType "FixedPaymentLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-dividend-swaps-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, effectiveDate?, terminationDate?, fixedPayment*
</...>

Content Model Elements (4):

  effectiveDate (defined in DirectionalLeg complexType), fixedPayment, | legIdentifier, terminationDate (defined in DirectionalLeg complexType)

All Direct / Indirect Based Elements (1):

  fixedLeg (defined in DividendSwapTransactionSupplement complexType)

Known Usage Locations

- As direct type of elements (1):
  fixedLeg (defined in DividendSwapTransactionSupplement complexType)

Annotation
Fixed Payment Leg of a Dividend Swap.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) FixedPaymentLeg

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FixedPaymentLeg"> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fixedPayment" type="FixedPaymentAmount"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/4)
fixedPayment

  Type: | FixedPaymentAmount, complex content

  Fixed payment of a dividend swap, payment date is relative to a dividend period payment date. Commonly the dividend leg and the fixed payment leg will pay out on the same date, and the payments will be netted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="fixedPayment" type="FixedPaymentAmount"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.